## nvidia-graphics-modules 340.65+3.16.0+1

=== debian/changelog ===
nvidia-graphics-modules (340.65+3.16.0+1) unstable; urgency=medium

  * Use nvidia-kernel-source 340.65.
  * Update Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Dec 2014 16:50:02 +0100

nvidia-graphics-modules (340.46+3.16.0+2) unstable; urgency=medium

  * Add nvidia-kernel-486 transitional package.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Nov 2014 22:17:31 +0100

nvidia-graphics-modules (340.46+3.16.0+1) unstable; urgency=medium

  * Build for Linux 3.16.0-4.  (Closes: #768627)
    - [i386] Rename 486 flavour to 586.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Nov 2014 22:04:02 +0100

nvidia-graphics-modules (340.46+3.16+1) unstable; urgency=medium

  * Use nvidia-kernel-source 340.46.
  * Build for Linux 3.16-3.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 11 Oct 2014 16:30:36 -0700

nvidia-graphics-modules (340.32+3.16+1) unstable; urgency=medium

  * Build for Linux 3.16-2.  (Closes: #762977)
  * README.source: Document version number construction, control generation,
    and biarch upload requirement.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Sep 2014 12:07:16 +0200

nvidia-graphics-modules (340.32+3.14+2) unstable; urgency=medium

  * Use nvidia-kernel-source 340.32.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Aug 2014 00:21:45 -0700

nvidia-graphics-modules (340.24+3.14+2) unstable; urgency=medium

  * Use nvidia-kernel-source 340.24.
  * Build for Linux 3.14-2.
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 28 Jul 2014 20:51:33 -0700

nvidia-graphics-modules (331.79+3.14+1) unstable; urgency=medium

  * Use nvidia-kernel-source 331.67.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 16:54:43 +0200

nvidia-graphics-modules (331.67+3.14+1) unstable; urgency=medium

  * Build for Linux 3.14-1.
  * Store KERNEL_VERSION in debian/control.md5sum.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Apr 2014 09:59:52 +0200
