=== debian/control ===
Source: nvidia-graphics-modules
Section: non-free/kernel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9),
 linux-headers-3.16.0-4-amd64 [i386 amd64], linux-headers-3.16.0-4-586 [i386], linux-headers-3.16.0-4-686-pae [i386],
 nvidia-kernel-source (>= 340.65), nvidia-kernel-source (<< 340.65.~),
Standards-Version: 3.9.6
Homepage: http://www.nvidia.com/
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-graphics-modules.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-graphics-modules.git
XS-Autobuild: yes

Package: nvidia-kernel-dummy
Architecture: amd64
Priority: extra
Depends: nvidia-kernel-source (>= 340.65), ${misc:Depends}
Description: NVIDIA kernel module for Linux 2.6 (dummy package)
 This dummy package exists solely to ensure that the prebuilt modules do not
 migrate to testing before the corresponding driver is available. Nothing is
 done to prevent the other way around, i.e. an updated driver without prebuilt
 modules available is allowed to enter testing.
 .
 It is not needed to install this package on any machine.

Package: nvidia-kernel-486
Section: non-free/oldlibs
Priority: extra
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-586
Conflicts: nvidia-kernel-2.6-486
Replaces: nvidia-kernel-2.6-486
Description: NVIDIA kernel module for Linux (dummy package)
 This is a dummy transitional package.  It can be safely removed.

Package: nvidia-kernel-amd64
Architecture: i386 amd64
Depends: ${misc:Depends}, nvidia-kernel-3.16.0-4-amd64 (>= 340.65)
Conflicts: nvidia-kernel-2.6-amd64
Replaces: nvidia-kernel-2.6-amd64
Description: NVIDIA kernel module for Linux (amd64 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (amd64 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-3.16.0-4-amd64
Architecture: i386 amd64
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (amd64 flavor)
 This is a dummy control entry (amd64 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-586
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-3.16.0-4-586 (>= 340.65)
Conflicts: nvidia-kernel-2.6-586
Replaces: nvidia-kernel-2.6-586
Description: NVIDIA kernel module for Linux (586 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (586 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-3.16.0-4-586
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (586 flavor)
 This is a dummy control entry (586 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-686-pae
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-3.16.0-4-686-pae (>= 340.65)
Conflicts: nvidia-kernel-2.6-686-pae
Replaces: nvidia-kernel-2.6-686-pae
Description: NVIDIA kernel module for Linux (686-pae flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (686-pae flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-3.16.0-4-686-pae
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (686-pae flavor)
 This is a dummy control entry (686-pae flavor).
 The description in the final package will come from its control.template.
