## nvidia-graphics-modules 340.101+3.16.0+1~bpo70+1

=== debian/changelog ===
nvidia-graphics-modules (340.101+3.16.0+1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 04:11:01 +0100

nvidia-graphics-modules (340.101+3.16.0+1) jessie; urgency=medium

  * Use nvidia-kernel-source 340.101.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Jan 2017 14:13:07 +0100

nvidia-graphics-modules (340.96+3.16.0+1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Jan 2016 00:10:21 +0100

nvidia-graphics-modules (340.96+3.16.0+1) jessie; urgency=medium

  * Use nvidia-kernel-source 340.96.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Dec 2015 23:39:29 +0100

nvidia-graphics-modules (340.93+3.16.0+1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Nov 2015 16:15:42 +0100

nvidia-graphics-modules (340.93+3.16.0+1) jessie; urgency=medium

  * Use nvidia-kernel-source 340.93.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Nov 2015 21:18:27 +0100

nvidia-graphics-modules (340.76+3.16.0+1) unstable; urgency=medium

  * Use nvidia-kernel-source 340.76.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Apr 2015 09:47:42 +0200

nvidia-graphics-modules (340.65+3.16.0+1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Build for Linux 3.16.0 (ABI 0.bpo.4).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jan 2015 23:46:55 +0100

nvidia-graphics-modules (319.82+3.14+1~bpo70+1) wheezy-backports; urgency=medium

  * Build for Linux 3.14 (ABI 0.bpo.1).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 12:38:28 +0200

nvidia-graphics-modules (319.82+3.12+1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Build for Linux 3.12 (ABI 0.bpo.1).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jan 2014 01:17:27 +0100
