## nvidia-graphics-modules 340.102+3.16.0+1

=== debian/changelog ===
nvidia-graphics-modules (340.102+3.16.0+1) jessie; urgency=medium

  * Use nvidia-kernel-source 340.102.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Apr 2017 12:55:08 +0200
