=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9),
- linux-headers-3.16.0-0.bpo.4-amd64 [i386 amd64], linux-headers-3.16.0-0.bpo.4-586 [i386], linux-headers-3.16.0-0.bpo.4-686-pae [i386],
- nvidia-kernel-source (>= 340.101), nvidia-kernel-source (<< 340.101.~),
+ linux-headers-3.16.0-4-amd64 [i386 amd64], linux-headers-3.16.0-4-586 [i386], linux-headers-3.16.0-4-686-pae [i386],
+ nvidia-kernel-source (>= 340.102), nvidia-kernel-source (<< 340.102.~),
 Standards-Version: 3.9.6
 Homepage: http://www.nvidia.com/
-Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-graphics-modules.git -b wheezy-backports
+Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-graphics-modules.git -b jessie
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-graphics-modules.git
 XS-Autobuild: yes
 
 Package: nvidia-kernel-dummy
 Architecture: amd64
 Priority: extra
-Depends: nvidia-kernel-source (>= 340.101), ${misc:Depends}
+Depends: nvidia-kernel-source (>= 340.102), ${misc:Depends}
 Description: NVIDIA kernel module for Linux (dummy package)
  This dummy package exists solely to ensure that the prebuilt modules do not
  migrate to testing before the corresponding driver is available. Nothing is
@@ -39,7 +39,7 @@
 
 Package: nvidia-kernel-amd64
 Architecture: i386 amd64
-Depends: ${misc:Depends}, nvidia-kernel-3.16.0-0.bpo.4-amd64 (>= 340.101)
+Depends: ${misc:Depends}, nvidia-kernel-3.16.0-4-amd64 (>= 340.102)
 Conflicts: nvidia-kernel-2.6-amd64
 Replaces: nvidia-kernel-2.6-amd64
 Description: NVIDIA kernel module for Linux (amd64 flavor)
@@ -48,7 +48,7 @@
  Install this package to automatically install the latest NVIDIA module
  when new versions of the kernel are released.
 
-Package: nvidia-kernel-3.16.0-0.bpo.4-amd64
+Package: nvidia-kernel-3.16.0-4-amd64
 Architecture: i386 amd64
 Depends: ${misc:Depends}
 Description: NVIDIA binary kernel module (amd64 flavor)
@@ -57,7 +57,7 @@
 
 Package: nvidia-kernel-586
 Architecture: i386
-Depends: ${misc:Depends}, nvidia-kernel-3.16.0-0.bpo.4-586 (>= 340.101)
+Depends: ${misc:Depends}, nvidia-kernel-3.16.0-4-586 (>= 340.102)
 Conflicts: nvidia-kernel-2.6-586
 Replaces: nvidia-kernel-2.6-586
 Description: NVIDIA kernel module for Linux (586 flavor)
@@ -66,7 +66,7 @@
  Install this package to automatically install the latest NVIDIA module
  when new versions of the kernel are released.
 
-Package: nvidia-kernel-3.16.0-0.bpo.4-586
+Package: nvidia-kernel-3.16.0-4-586
 Architecture: i386
 Depends: ${misc:Depends}
 Description: NVIDIA binary kernel module (586 flavor)
@@ -75,7 +75,7 @@
 
 Package: nvidia-kernel-686-pae
 Architecture: i386
-Depends: ${misc:Depends}, nvidia-kernel-3.16.0-0.bpo.4-686-pae (>= 340.101)
+Depends: ${misc:Depends}, nvidia-kernel-3.16.0-4-686-pae (>= 340.102)
 Conflicts: nvidia-kernel-2.6-686-pae
 Replaces: nvidia-kernel-2.6-686-pae
 Description: NVIDIA kernel module for Linux (686-pae flavor)
@@ -84,7 +84,7 @@
  Install this package to automatically install the latest NVIDIA module
  when new versions of the kernel are released.
 
-Package: nvidia-kernel-3.16.0-0.bpo.4-686-pae
+Package: nvidia-kernel-3.16.0-4-686-pae
 Architecture: i386
 Depends: ${misc:Depends}
 Description: NVIDIA binary kernel module (686-pae flavor)
