## nvidia-graphics-modules 352.79+4.3.0+1

=== debian/changelog ===
nvidia-graphics-modules (352.79+4.3.0+1) unstable; urgency=medium

  * Use nvidia-kernel-source 352.79.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Jan 2016 15:56:18 +0100

nvidia-graphics-modules (352.63+4.3.0+1) unstable; urgency=medium

  * Use nvidia-kernel-source 352.63.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Jan 2016 14:53:03 +0100

nvidia-graphics-modules (340.96+4.3.0+1) unstable; urgency=medium

  * Build for Linux 4.3.0 (ABI 1).
    - [i386] Rename 586 flavour to 686.
  * Add nvidia-kernel-586 transitional package.
  * Add armhf support.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Dec 2015 21:14:09 +0100

nvidia-graphics-modules (340.96+4.2.0+1) unstable; urgency=medium

  * Use nvidia-kernel-source 340.96.
  * Fix binNMU version handling.
  * Generalize architecture support.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Nov 2015 21:52:19 +0100

nvidia-graphics-modules (340.93+4.2.0+1) unstable; urgency=medium

  * Build for Linux 4.2.0 (ABI 1).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Oct 2015 17:07:53 +0200

nvidia-graphics-modules (340.93+4.1.0+1) unstable; urgency=medium

  * Use nvidia-kernel-source 340.93.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Sep 2015 02:04:00 +0200

nvidia-graphics-modules (340.76+4.1.0+2) unstable; urgency=medium

  * Build for Linux 4.1.0 (ABI 2).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Sep 2015 18:56:46 +0200

nvidia-graphics-modules (340.76+4.1.0+1) unstable; urgency=medium

  * Build for Linux 4.1.0 (ABI 1).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Aug 2015 10:14:11 +0200

nvidia-graphics-modules (340.76+4.0.0+2) unstable; urgency=medium

  * Build for Linux 4.0.0 (ABI 2).
  * Drop obsolete Conflicts/Replaces.
  * Drop transitional package nvidia-kernel-486:i386.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Jun 2015 11:23:22 +0200

nvidia-graphics-modules (340.76+4.0.0+1) unstable; urgency=medium

  * Build for Linux 4.0.0 (ABI 1).
  * Stop building nvidia-kernel{-KVERS}-amd64:i386 (src:linux no longer builds
    the -amd64 flavor on i386).
  * The packages from the "foreign architecture" amd64 can be used instead.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 16 May 2015 20:11:46 -0700
