=== debian/control ===
Source: nvidia-graphics-modules
Section: non-free/kernel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9),
 linux-headers-4.3.0-1-686 [i386],
 linux-headers-4.3.0-1-686-pae [i386],
 linux-headers-4.3.0-1-amd64 [amd64],
 linux-headers-4.3.0-1-armmp [armhf],
 linux-headers-4.3.0-1-armmp-lpae [armhf],
 nvidia-kernel-source (>= 352.79), nvidia-kernel-source (<< 352.79.~),
Standards-Version: 3.9.6
Homepage: http://www.nvidia.com/
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-graphics-modules.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-graphics-modules.git
XS-Autobuild: yes

Package: nvidia-kernel-dummy
Architecture: amd64
Priority: extra
Depends: nvidia-kernel-source (>= 352.79), ${misc:Depends}
Description: NVIDIA kernel module for Linux (dummy package)
 This dummy package exists solely to ensure that the prebuilt modules do not
 migrate to testing before the corresponding driver is available. Nothing is
 done to prevent the other way around, i.e. an updated driver without prebuilt
 modules available is allowed to enter testing.
 .
 It is not needed to install this package on any machine.

Package: nvidia-kernel-586
Section: non-free/oldlibs
Priority: extra
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-686
Description: NVIDIA kernel module for Linux (dummy package)
 This is a dummy transitional package.  It can be safely removed.

Package: nvidia-kernel-686
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-4.3.0-1-686 (>= 352.79)
Conflicts:
 nvidia-kernel-486 [i386],
Description: NVIDIA kernel module for Linux (686 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (686 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-4.3.0-1-686
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (686 flavor)
 This is a dummy control entry (686 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-686-pae
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-4.3.0-1-686-pae (>= 352.79)
Conflicts:
 nvidia-kernel-486 [i386],
Description: NVIDIA kernel module for Linux (686-pae flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (686-pae flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-4.3.0-1-686-pae
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (686-pae flavor)
 This is a dummy control entry (686-pae flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-amd64
Architecture: amd64
Depends: ${misc:Depends}, nvidia-kernel-4.3.0-1-amd64 (>= 352.79)
Conflicts:
 nvidia-kernel-486 [i386],
Description: NVIDIA kernel module for Linux (amd64 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (amd64 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-4.3.0-1-amd64
Architecture: amd64
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (amd64 flavor)
 This is a dummy control entry (amd64 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-armmp
Architecture: armhf
Depends: ${misc:Depends}, nvidia-kernel-4.3.0-1-armmp (>= 352.79)
Conflicts:
 nvidia-kernel-486 [i386],
Description: NVIDIA kernel module for Linux (armmp flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (armmp flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-4.3.0-1-armmp
Architecture: armhf
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (armmp flavor)
 This is a dummy control entry (armmp flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-armmp-lpae
Architecture: armhf
Depends: ${misc:Depends}, nvidia-kernel-4.3.0-1-armmp-lpae (>= 352.79)
Conflicts:
 nvidia-kernel-486 [i386],
Description: NVIDIA kernel module for Linux (armmp-lpae flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (armmp-lpae flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-4.3.0-1-armmp-lpae
Architecture: armhf
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (armmp-lpae flavor)
 This is a dummy control entry (armmp-lpae flavor).
 The description in the final package will come from its control.template.
