=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 DEB_HOST_ARCH	?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 THIS_PACKAGE	:= $(shell dpkg-parsechangelog | grep ^Source:  | cut -d ' ' -f 2)
 THIS_VERSION	:= $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
+THIS_SRC_VERSION:= $(shell echo '$(THIS_VERSION)' | sed -r 's/\+b[0-9]+$$//')
 
 # arg1 = package to query
 get_package_version	 = $(shell dpkg-query -s $1 2>/dev/null | grep ^Version: | cut -d ' ' -f2)
@@ -40,19 +41,18 @@
 SOURCE_MIN_REV		?=
 SOURCE_MAX_SUFFIX	?= .~
 META_MINDEP_VERSION	?= $(UPSTREAM_VERSION)
+ARCHITECTURES		?= i386 amd64
 KERNEL_ABI		?= ???
 KERNEL_VERSION		?= $(KERNEL_MAJMIN)-$(KERNEL_ABI)
 
 SOURCE_VERSION		:= $(call get_package_version,$(SOURCE_PKG))
 SOURCE_REVISION		 = $(subst X$(UPSTREAM_VERSION)-,,X$(SOURCE_VERSION))
-THIS_REVISION		?= $(subst X$(UPSTREAM_VERSION)+$(KERNEL_MAJMIN)+,,X$(THIS_VERSION))
+BINNMU_SUFFIX		?= $(subst X$(THIS_SRC_VERSION),,X$(THIS_VERSION))
+THIS_REVISION		?= $(patsubst X$(UPSTREAM_VERSION)+$(KERNEL_MAJMIN)+%$(BINNMU_SUFFIX)X,%,X$(THIS_VERSION)X)
 MERGED_VERSION		 = $(UPSTREAM_VERSION)+$(THIS_REVISION)+$(SOURCE_REVISION)
 
-KERNEL_FLAVORS_i386		 = $(KERNEL_FLAVORS_i386_yes)
-KERNEL_FLAVORS_amd64		 = $(KERNEL_FLAVORS_amd64_yes)
-KERNEL_FLAVORS_both		 = $(filter $(KERNEL_FLAVORS_i386),$(KERNEL_FLAVORS_amd64))
-KERNEL_FLAVORS_only_i386	 = $(filter-out $(KERNEL_FLAVORS_both),$(KERNEL_FLAVORS_i386))
-KERNEL_FLAVORS_only_amd64	 = $(filter-out $(KERNEL_FLAVORS_both),$(KERNEL_FLAVORS_amd64))
+KERNEL_FLAVORS		 = $(sort $(foreach a,$(ARCHITECTURES),$(KERNEL_FLAVORS_$(a)_yes)))
+KERNEL_FLAVORS_$(DEB_HOST_ARCH)	 = $(KERNEL_FLAVORS_$(DEB_HOST_ARCH)_yes)
 
 
 build: build-arch build-indep
@@ -97,7 +97,8 @@
 		KSRC=/lib/modules/$*/build \
 			KDREV=$(SOURCE_REVISION)+$(call get_package_version,linux-headers-$*) \
 			debian/rules configure
-	sed -i 's/^$(THIS_VERSION)/$(UPSTREAM_VERSION)+$(THIS_REVISION)/' modules/$(SOURCE)/debian/VERSION
+	sed -i 's/^$(THIS_VERSION)/$(UPSTREAM_VERSION)+$(THIS_REVISION)/; s/$$/$(BINNMU_SUFFIX)/' modules/$(SOURCE)/debian/VERSION
+	cat modules/$(SOURCE)/debian/VERSION
 	cd modules/$(SOURCE) && \
 		KSRC=/lib/modules/$*/build \
 			KDREV=$(SOURCE_REVISION)+$(call get_package_version,linux-headers-$*) \
@@ -136,9 +137,8 @@
 	touch $@
 endif
 
-LINUX_HEADERS	 =$(foreach f,$(KERNEL_FLAVORS_both),linux-headers-$(KERNEL_VERSION)-$(f) [i386 amd64]$(comma))
-LINUX_HEADERS	+=$(foreach f,$(KERNEL_FLAVORS_only_i386),linux-headers-$(KERNEL_VERSION)-$(f) [i386]$(comma))
-LINUX_HEADERS	+=$(foreach f,$(KERNEL_FLAVORS_only_amd64),linux-headers-$(KERNEL_VERSION)-$(f) [amd64]$(comma))
+# call with $1 = flavor
+flavor-archlist	 = $(strip $(foreach a,$(ARCHITECTURES),$(if $(filter $1,$(KERNEL_FLAVORS_$(a)_yes)),$a)))
 
 # call with $1 = kernel version, $2 = flavor, $3 = arch
 define append-flavor-entries
@@ -153,7 +153,10 @@
 
 endef
 
+LINUX_HEADERS	 = $(foreach f,$(KERNEL_FLAVORS),linux-headers-$(KERNEL_VERSION)-$(f) [$(call flavor-archlist,$(f))]$(comma)\n)
+
 debian/control-real: $(CONTROL_FILES)
+	@$(foreach f,$(KERNEL_FLAVORS),echo "$f: $(call flavor-archlist,$(f))";)
 	sed \
 		-e 's/#THIS_PACKAGE#/$(THIS_PACKAGE)/g' \
 		-e 's%#SECTION#%$(SECTION)%g' \
@@ -164,9 +167,7 @@
 		-e 's/#SOURCE_MAX_SUFFIX#/$(SOURCE_MAX_SUFFIX)/g' \
 		-e 's/#LINUX_HEADERS#/$(strip $(LINUX_HEADERS))/g' \
 		debian/control.source > debian/control.tmp
-	$(foreach f,$(KERNEL_FLAVORS_both),$(call append-flavor-entries,$(KERNEL_VERSION),$(f),i386 amd64))
-	$(foreach f,$(KERNEL_FLAVORS_only_i386),$(call append-flavor-entries,$(KERNEL_VERSION),$(f),i386))
-	$(foreach f,$(KERNEL_FLAVORS_only_amd64),$(call append-flavor-entries,$(KERNEL_VERSION),$(f),amd64))
+	$(foreach f,$(KERNEL_FLAVORS),$(call append-flavor-entries,$(KERNEL_VERSION),$(f),$(call flavor-archlist,$(f))))
 	mv debian/control.tmp debian/control
 	md5sum debian/control $^ > debian/control.md5sum
 	echo "#UPSTREAM_VERSION=$(UPSTREAM_VERSION)#" >> debian/control.md5sum
